### Function

# Cogl debug_object_foreach_type

since: 13

#### Declaration [src]

    void
    cogl_debug_object_foreach_type (
      CoglDebugObjectForeachTypeCallback func,
      void* user_data
    )

#### Description [src]

Invokes `func` once for each type of object that Cogl uses and passes a count of the number of objects for that type. This is intended to be used solely for debugging purposes to track down issues with objects leaking.

Available since: 13

#### Parameters

`func`

  Type: `CoglDebugObjectForeachTypeCallback`

  A callback function for each type.

`user_data`

  Type: `void*`

  A pointer to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.